Bug 225637 - Merge Review: castor
Merge Review: castor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 12:49 EST by Nobody's working on this, feel free to take it
Modified: 2013-11-27 22:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 22:54:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 12:49:07 EST
Fedora Merge Review: castor

http://cvs.fedora.redhat.com/viewcvs/devel/castor/
Initial Owner: pcheung@redhat.com
Comment 2 Kevin Fenzi 2007-06-09 00:39:13 EDT
Hey Matt. I see this review is assigned to you, but still in the NEW state with
the fedora-review flag not set. 

Do you intent to review here? 
Comment 3 Matt Wringe 2007-07-06 18:07:05 EDT
Package cannot be build this the current version of gcj in Fedora due to enum
now being a reserved keyword. Please fix this by setting the source level or by
patching the files.

MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
OK, look ok to me 
* license field matches the actual license.
OK
* license is open source-compatible.
 - use acronyms for licences where common
OK (its BSD-style)
* specfile name matches %{name}
OK
* verify source and patches (md5sum matches upstream, know what the patches do)
OK, the md5sums match
* skim the summary and description for typos, etc.
OK
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK
* license text included in package and marked with %doc
OK
* keep old changelog entries; use judgement when removing (too old?
useless?)
OK
* packages meets FHS (http://www.pathname.com/fhs/)
OK, looks OK to me
* rpmlint on <this package>.srpm gives no output
rpmlint castor-0.9.5-1jpp.9.src.rpm 
W: castor non-standard-group Development/Libraries/Java

OK (group warnings can be safely ignored)

* changelog should be in a proper formats:
OK
* Packager tag should not be used
OK
* Vendor tag should not be used
OK
* Distribution tag should not be used
OK
* use License and not Copyright 
OK
* Summary tag should not end in a period
OK
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK
* specfile is legible
OK
* package successfully compiles and builds on at least x86
X package does not build
* BuildRequires are proper
? Will check when it builds properly
* summary should be a short and concise description of the package
OK
* description expands upon summary (don't include installation
instructions)
OK
* make sure lines are <= 80 characters
X Can you make line 134 multiple lines instead?
* specfile written in American English
OK
* make a -doc sub-package if necessary
OK
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
OK
* don't use %makeinstall
OK
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
OK
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
OK
* split Requires(pre,post) into two separate lines
OK
* package should probably not be relocatable
* package contains code
OK
* package should own all directories and files

* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
OK
* %clean should be present
OK
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
? Waiting until package builds properly
* run rpmlint on the binary RPMs
? waiting until package builds properly

SHOULD:
* package should include license text in the package and mark it with %doc
?
* package should build on i386
?
* package should build in mock
?
Comment 4 Permaine Cheung 2007-07-09 12:05:49 EDT
The latest version of the spec file is in Fedora cvs, I just tried that and it
built fine. Please try that one.
Comment 5 Matthias Saou 2007-09-01 12:11:23 EDT
Same remark as Kevin, here. I guess it's an oversight, so I'm changing from NEW
to ASSIGNED.
Comment 6 Alexander Kurtakov 2011-12-20 17:58:00 EST
I have done major revamp of the package, Matt are you interested to review it again?
Comment 7 Mat Booth 2013-08-21 11:29:47 EDT
I too have revamped the package to confirm with modern guidelines and bootstrap the building of extra modules using castor-maven-plugin.

Alexander, would you care to review?
Comment 8 Alexander Kurtakov 2013-08-21 11:34:51 EDT
I'll try to do it soon.
Comment 9 Parag AN(पराग) 2013-11-24 02:16:18 EST
Suggestions from me
1) Epoch :0 not needed

2) if multiple licenses are specified in license tag then add comments which part of source is in which license

3) Group: tag is not needed anymore

4) local mock build failed for rawhide, submit working spec for further review.

5) Generally patch name should start with %{name}-%{version} against which its created.
Comment 11 Parag AN(पराग) 2013-11-27 22:54:54 EST
Thanks for fixing this issue.

Package is APPROVED.

Closing this review as required changes are already in rawhide package.

Note You need to log in before you can comment on or make changes to this bug.